%define module 	XML-Driver-HTML
%define version 0.01
%define release 1mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
Copyright: 	distributable
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl >= 5.600
Requires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot


%description
%{module} perl XML down translate module
%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST 


%changelog
* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-1mdk
- First Mandrake Release


